	INTEGER FUNCTION GETENT(LINE,ENTITY)
C
C-Description-----------------------------------------------------------
	IMPLICIT NONE
C
C  Function:
C	Remove and return next entity from input line.
C  Usage:
C	Called as integer function in PS program
C  Arguments:
C   i	LINE	Line as entered by user
C   o	ENTITY	Single item from command line.
C   O	GETENT	Integer function return
C	0=success 1=failure
C  Notes:
C   .	This routine was written by Dale Plummer
C
C-Declarations----------------------------------------------------------
C
C
C  Arguments
C
	CHARACTER*(*) LINE,ENTITY
C
C  Parameters
C
	CHARACTER*(*) DELIMS
	PARAMETER (DELIMS=' ,')
C
C  Locals
C
	CHARACTER*1 CH
	INTEGER INLEN,START,LGTH,LLEN,ELEN
C
C-Code------------------------------------------------------------------
C
C    Determine length of input line.
C
	INLEN = LEN(LINE)

	ELEN=LEN(ENTITY)
C
C    Find first non blank character in the line.
C
	DO 10 START = 1,INLEN
	    CH = LINE(START:START)
	    IF ( CH.NE.' ' ) GOTO 11
10	CONTINUE
C
C    If no non-blank characters are found, set failure and return.
C
	GETENT=1
	RETURN
11	CONTINUE
C
C    Remove leading blanks from input line.
C
        LINE = LINE(START:)
	START = 1
	ENTITY = ' '
	LLEN = START
	LGTH = 0
100	CONTINUE
C
C    If a delimiter is hit then we've accrued an entity.
C
	IF ( INDEX(DELIMS,CH).GT.0 ) THEN
C
C    Remove the entity and seperator from the input line.
C
	    LINE = LINE(LLEN+1:)
C
C    Set success and return.
C
	    GETENT=0
	    RETURN
	END IF
C
C    Bump length count.
C
	LGTH = LGTH + 1
C
C    Check for maximum length of entity.
C
	IF (LGTH.GT.ELEN) THEN
	    GETENT=1
	    RETURN
	END IF

	ENTITY(LGTH:LGTH) = CH
	LLEN = LLEN + 1
	CH = LINE(LLEN:LLEN)
	GOTO 100
	END
