	DOUBLE PRECISION FUNCTION IGRAND(T)
C
C-Description-----------------------------------------------------------
C
C  Function:
C	Defines the function being integrated by SIMINT
C  Usage:
C	ABSRISK program
C  Arguments:
C   i	T	(Real*8)	Point at which to evaluate the function
C  Notes:
C   .	This routine was written by Dale Plummer
C	Designed by Dr. William Dupont
C
C-Declarations----------------------------------------------------------
C
	IMPLICIT NONE
C
C  Include files
C
	INCLUDE 'ABSRISK.INC'
C
C  Arguments
C
	REAL*8 T
C
C  Functions
C
	REAL INTRP2,INTEG,RRISK
C
C  Locals
C
	REAL LT,SLOPE,TOTHT,CTOTHT,DX,X,RR
	INTEGER I,IT
C
C-Code------------------------------------------------------------------
C
C  
	X=T
	LT=INTRP2(X,C,W,FAGE)
	I=INT(T-A)
	IT=INT(T)
	SLOPE=TOTALH(IT+1)-TOTALH(IT)
	TOTHT=SLOPE*T - SLOPE*IT + TOTALH(IT)
	DX=T-IT
	CTOTHT=INTEG(TOTALH(IT),TOTHT,DX)+CTOTLH(I)
	IF (CTOTHT.LE.87) THEN
	    RR=RRISK(RHO,REAL(T),REAL(A),WHICHF)
	    IGRAND=LT * RR * EXP(-CTOTHT)
	ELSE
	    IGRAND=0D0
	END IF
	RETURN
	END
