	REAL FUNCTION INTEG(Y1,Y2,DX)
C
C-Description-----------------------------------------------------------
C
C  Function:
C	Approximate the integral of a function that takes the values
C	Y1 and Y2 somewhere on the interval of DX, using a trapezoidal
C	like rule.
C  Usage:
C	Absolute risk program
C  Arguments:
C   i	Y1	(Real*4) One value
C   i	Y2	(Real*4) The other value
C   i	DX	(Real*4) Width of the interval
C   O   Function return - Approximation of the integral
C  Notes:
C   .	This routine was written by Dale Plummer
C
C-Declarations----------------------------------------------------------
C
	IMPLICIT NONE
C
C  Arguments
C
	REAL Y1,Y2,DX
C
C-Code------------------------------------------------------------------
C
	INTEG=DX*(Y1+Y2)/2.
	RETURN
	END
