	REAL FUNCTION INTERP(X,Z,W,FAGE)
C
C-Description-----------------------------------------------------------
C
C  Function:
C	Perform a linear interpolation that maps
C		X=FAGE+(i-1)*W into Z(i)*10e-5
C  Usage:
C	Absolute cancer risk program.
C  Arguments:
C   i	X	(Integer)	<patient's current age>
C   i	Z	(Real)		Array of risk values
C   i	W	(Integer)	Width of each age group
C   i	FAGE	(Integer)	Middle age in the first age group
C  Notes:
C   .	This routine was written by Dale Plummer
C
C-Declarations----------------------------------------------------------
C
	IMPLICIT NONE
C
C  Arguments
C
	INTEGER X,W,FAGE
	REAL Z(200)
C
C  Locals
C
	INTEGER I
C
C-Code------------------------------------------------------------------
C
C    Determine largest integer i such that FAGE+(I-1)*W<=X.
C
	I=INT((X-FAGE)/W)+1
C
C    Now, produce the interpolation.
C
	INTERP=1.0E-5*((Z(I+1)-Z(I))*(X-FAGE-(I-1)*W)/W+Z(I))
C
C    Finished.
C
	RETURN
	END
