	INTEGER FUNCTION INTERPRE(LINE,ARRAY,COUNT)
C
C-Description-----------------------------------------------------------
	IMPLICIT NONE
C
C  Function:
C	Convert input text into numeric values.
C  Usage:
C	Called as integer function
C  Arguments:
C   i	LINE	Character*(*)
C	Text as input by user
C   i	COUNT	Integer
C	Number of items expected on input line
C   o	ARRAY	Real array
C	Array used to return numeric values
C   O	INTERPRE	Integer function return
C	0=success 1=failure
C  Notes:
C   .	This routine was written by Dale Plummer
C
C-Declarations----------------------------------------------------------
C
C
C  Arguments
C
	CHARACTER*(*) LINE
	INTEGER COUNT
	REAL ARRAY(10)
C
C  Functions
C
	INTEGER GETENT
C
C  Locals
C
	INTEGER INTVAR,I,ISTAT
	CHARACTER ENTITY*20
C
C-Code------------------------------------------------------------------
C
C    Upcase the input string.
C
	CALL UPCASE(LINE,LINE)
C
C    Return immediately if 'EXIT' is seen.
C
	IF (LINE .EQ.'EXIT' .OR. LINE .EQ. 'EX') THEN
	    INTERPRE=2
	    RETURN
	END IF
C
C    Get next entity from input line.
C
	I=0
10	CONTINUE
	ISTAT=GETENT(LINE,ENTITY)
C
C    If fails to get entity then return failure to caller.
C
	IF (ISTAT.NE.0) THEN
	    INTERPRE=1
	    RETURN
	END IF
C
C    Bump count of items extracted from input line.
C
	I=I+1
C
C    Convert to numberic and place in return array.
C
	IF (INDEX(ENTITY,'.').GT.0) THEN
	    READ(UNIT=ENTITY(1:20),FMT='(BN,F12.6)',ERR=1090) ARRAY(I)
	ELSE
	    READ(UNIT=ENTITY(1:20),FMT='(BN,I9)',ERR=1090) INTVAR
	    ARRAY(I)=INTVAR
	END IF
C
C    If gotten all expected entities then return success.
C
	IF (I.EQ.COUNT) THEN
	    INTERPRE=0
	    RETURN
	END IF
C
C    Go get another item from input line.
C
	GO TO 10
C
C    Come to here on any kind of I/O error.  Report failure and return.
C
1090	CONTINUE
	INTERPRE=1
	RETURN
	END
